#!/bin/bash
# 26 dec 2014 
# backup pour sites locaux 
# utilisation: 
# 1. maj jour/h dans DESTARD 
# 2. vérifier droits en bas et ard et si assez de place
# cd /home/jenny/bin/myscripts
# sh backupard.sh > /home/jenny/dumps/bckconf/backup-141226-19h.txt
# 
##### INI
##### Constants
NOW=$(date +"%Y-%m-%d-%T")
DATE=$(date +"%Y-%m-%d")
DEST="/home/jenny/dumps/bckconf/$NOW"
DESTARD="/home/jenny/drush-backups/archive-dump/20141226*"
DELIM="-------------------------------------------"

## aff date
echo "Les ard sont en ~/drush-backups/archive-dump"
echo $DELIM
echo "Date: $NOW"
echo "Dest: $DEST"

##### actions

# drush ard
echo "drush ard"

cd dru1
echo "drush ard dru1" ; sudo drush archive-dump --l=http://vide >> $DEST/ard-sh.txt

cd /var/www/dru2
echo "drush ard dru2-site2a" ; sudo drush archive-dump --l=site2a >> $DEST/ard-sh.txt
# pas installé sudo drush archive-dump --l=site2b >> $DEST/ard-sh.txt

#cd /var/www/commerce
#echo "drush ard commerce" ; sudo drush archive-dump --l=commerce >> $DEST/ard-sh.txt

# dru3 est vide
#cd /var/www/dru3
#sudo drush archive-dump --l=dru3 >> $DEST/ard-sh.txt

# drush ne gère pas drupal 8
#cd /var/www/dru8
#sudo drush archive-dump --l=dru8 >> $DEST/ard-sh.txt


# db dru7 et anna
cd /var/www/gandi

echo "en www/gandi  drush ard --l=dev  dc dru7"
echo "en www/gandi  drush ard --l=dev  dc dru7" >> $DEST/ard-sh.txt
sudo drush archive-dump --l=dev >> $DEST/ard-sh.txt

echo "en www/gandi  drush ard --l=trans.dev  dc anna"
echo "en www/gandi  drush ard --l=trans.dev  dc anna" >> $DEST/ard-sh.txt
sudo drush archive-dump --l=trans.dev >> $DEST/ard-sh.txt

echo "en www/gandi  drush ard --l=ixe7  dc base ixe7"
echo "en www/gandi  drush ard --l=ixe7" >> $DEST/ard-sh.txt
sudo drush archive-dump --l=ixe7 >> $DEST/ard-sh.txt

echo "en www/gandi  drush ard --l=jenny.dev  "
echo "en www/gandi  drush ard --l=jenny.dev" >> $DEST/ard-sh.txt
sudo drush archive-dump --l=jenny.dev >> $DEST/ard-sh.txt

cd /var/www/ixe7
#echo "en www/ixe7  drush ard --l=ixe7" >> $DEST/ard-sh.txt
#sudo drush archive-dump --l=ixe7 >> $DEST/ard-sh.txt

echo "En www/recupgandilast  drush ard --l=jdev dc dru7prod" >> $DEST/ard-sh.txt
sudo drush archive-dump --l=jdev >> $DEST/ard-sh.txt

echo "en www/recupgandilast  drush ard --l=transdev dru7prod "
echo "en www/recupgandilast  drush ard --l=transdev" >> $DEST/ard-sh.txt
sudo drush archive-dump --l=transdev >> $DEST/ard-sh.txt

# droits
sudo chmod -R 777 $DESTARD

# cd $DEST
echo "cat ard-sh.txt"
cat $DEST/ard-sh.txt
