#!/bin/bash
# 26 dec 2014 
# backup pour sites locaux des conf (conf apa et php, fichier hosts, settings.php)
#
# utilisation: 
# 1. maj jour/h dans DESTARD 
# 2. vérifier droits en bas et ard 
# cd /home/jenny/bin/myscripts
# sh backupconf.sh > results/conf-141226-19h.txt
# 
##### INI
##### Constants
DELIM="-------------------------------------------"
NOW=$(date +"%Y-%m-%d-%T")
DATE=$(date +"%Y-%m-%d")
DEST="/home/jenny/dumps/bckconf/$NOW"
DESTARD="/home/jenny/drush-backups/archive-dump/20141226*"

## aff date
echo "Les ard sont en ~/drush-backups/archive-dump"
echo $DELIM
echo "Date: $NOW"
echo "Dest: $DEST"

# cree dossier de bckup
mkdir $DEST
echo "sudo drush ard $NOW" > $DEST/backupard-sh.txt
mkdir $DEST/w
mkdir $DEST/w/dru1
mkdir $DEST/w/dru2
mkdir $DEST/w/gandi
# mkdir $DEST/w/ixe7
mkdir $DEST/w/recuplg
# mkdir $DEST/w/commerce
mkdir $DEST/w/dru8

##### actions
# backup
cd /etc
cp hosts $DEST/
cp -R php5 $DEST/php/
cp -R apache2 $DEST/
cp -R /home/jenny/Documents/conf/infosites $DEST/
cp /etc/drush/aliases.drushrc.php $DEST/

echo $DELIM

# nettoyage
cd apache2
ls conf-enabled/*.conf~
#sudo rm conf-enabled/*.conf~
#sudo rm sites-enabled/*.conf~

# infos settings et sites
cd /var/www
ls -li > $DEST/listewww-scriptbckconf$DATE.txt
cp dru1/sites/sites.php $DEST/w/dru1/sites.php
cp dru1/sites/vide/settings.php $DEST/w/dru1/settings-vide.php
cp dru2/sites/sites.php $DEST/w/dru2/sites.php
cp gandi/sites/sites.php $DEST/w/gandi/sites.php
cp gandi/sites/cop18.dev/settings.php $DEST/w/gandi/settings-cop18.php
cp gandi/sites/cv.dev/settings.php $DEST/w/gandi/settings-cv.php
cp gandi/sites/jenny.dev/settings.php $DEST/w/gandi/settings-jenny.php
cp gandi/sites/test.dev/settings.php $DEST/w/gandi/settings-test.php
cp gandi/sites/trans.dev/settings.php $DEST/w/gandi/settings-trans.php
cp gandi/sites/www.editions-ixe.fr/settings.php $DEST/w/gandi/settings-edx.php

cp recupgandilast/sites/sites.php $DEST/w/recuplg/sites.php
cp dru8/sites/default/settings.php $DEST/w/dru8/settings-defo.php
cp dru8/sites/default/services.yml $DEST/w/dru8/services-defo.yml

########################## backups ard
echo $DELIM
# drush ard
echo "drush ard"

cd dru1
#echo "drush ard dru1" ; sudo drush archive-dump --l=http://vide >> $DEST/backupard-sh.txt

cd /var/www/dru2
#echo "drush ard dru2-site2a" ; sudo drush archive-dump --l=site2a >> $DEST/backupard-sh.txt
# pas installé sudo drush archive-dump --l=site2b >> $DEST/backupard-sh.txt

#cd /var/www/commerce
#echo "drush ard commerce" ; sudo drush archive-dump --l=commerce >> $DEST/backupard-sh.txt

# dru3 est vide
#cd /var/www/dru3
#sudo drush archive-dump --l=dru3 >> $DEST/backupard-sh.txt

# beta4 mais ce drush ne le gere pas
#cd /var/www/dru8
#sudo drush archive-dump --l=dru8 >> $DEST/backupard-sh.txt


# db dru7 et anna
cd /var/www/gandi

echo "en www/gandi  drush ard --l=dev  dc dru7"
echo "en www/gandi  drush ard --l=dev  dc dru7" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=dev >> $DEST/backupard-sh.txt

#echo "en www/gandi  drush ard --l=trans.dev  dc anna"
#echo "en www/gandi  drush ard --l=trans.dev  dc anna" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=trans.dev >> $DEST/backupard-sh.txt

#echo "en www/gandi  drush ard --l=ixe7  dc base ixe7"
#echo "en www/gandi  drush ard --l=ixe7" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=ixe7 >> $DEST/backupard-sh.txt

#echo "en www/gandi  drush ard --l=jenny.dev  "
#echo "en www/gandi  drush ard --l=jenny.dev" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=jenny.dev >> $DEST/backupard-sh.txt



cd /var/www/ixe7
#echo "en www/ixe7  drush ard --l=ixe7" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=ixe7 >> $DEST/backupard-sh.txt

#echo "En www/recupgandilast  drush ard --l=jdev dc dru7prod" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=jdev >> $DEST/backupard-sh.txt

#echo "en www/recupgandilast  drush ard --l=transdev dru7prod "
#echo "en www/recupgandilast  drush ard --l=transdev" >> $DEST/backupard-sh.txt
#sudo drush archive-dump --l=transdev >> $DEST/backupard-sh.txt

# droits
sudo chmod -R 777 $DEST
sudo chmod -R 777 $DESTARD

# cd $DEST
echo "cat $DEST/backupard-sh.txt ->"
cat $DEST/backupard-sh.txt
cd /home/jenny/bin/myscripts
